# TransformSpec

API Documentation: | `TransformSpec`

Base configuration for artifact transform registrations.

### Properties

Property | Description
`from` | Attributes that match the variant that is consumed.
`parameters` | The parameters for the transform action.
`to` | Attributes that match the variant that is produced.

### Methods

Method | Description
`parameters(action)` | Configure the parameters for the transform action.

### Script blocks

No script blocks

### Property details

#### `AttributeContainer` `from` (read-only)

Attributes that match the variant that is consumed.

#### `T` `parameters` (read-only)

The parameters for the transform action.

#### `AttributeContainer` `to` (read-only)

Attributes that match the variant that is produced.

### Method details

#### `void` `parameters`(``Action`<? super `T`>` action)

Configure the parameters for the transform action.